--------------------------------------------------------------------------------
-- Weapon Sniper help	
-- 
-- Script by Thecode,September 2010
--------------------------------------------------------------------------------

-- Setup Tables
if thecode==nil then thecode={} end
thecode.sniperhelp={}
thecode.sniperhelp.bullet={}

-- Load & Prepare Ressources
thecode.sniperhelp.gfx_wpn=loadgfx("weapons/sniperhelp.png")									-- Weapon Image
setmidhandle(thecode.sniperhelp.gfx_wpn)
thecode.sniperhelp.gfx_bullet=loadgfx("weapons/sniperhelp.png")							-- bullet Beam
setmidhandle(thecode.sniperhelp.gfx_bullet)
thecode.sniperhelp.sfx_attack=loadsfx("sniper.wav")									-- Attack Sound


--------------------------------------------------------------------------------
-- Weapon: Vertical bullet
--------------------------------------------------------------------------------

thecode.sniperhelp.id=addweapon("thecode.sniperhelp","Sniper help's",thecode.sniperhelp.gfx_wpn,2,1)		-- Add Weapon (0 uses, first in round 3)

function thecode.sniperhelp.draw()														
	
	if weapon_shots==0 then
		hudpositioning(pos_invisible)
	end
	if weapon_shots==0 then
	
		hudtimer(8,1,10)
	end
	
end

function thecode.sniperhelp.attack(attack)												
	if (weapon_shots<=0) and (weapon_position==1) then
		-- No more weapon switching!
		useweapon(0)
		weapon_shots=weapon_shots+1
		
		
		
		particlecolor(255,0,0)

	
		id=createprojectile(thecode.sniperhelp.bullet.id)
		projectiles[id]={}
		projectiles[id].timer=150
		projectiles[id].x=weapon_x
		projectiles[id].y=weapon_y
			drawimage(thecode.sniperhelp.gfx_bullet,projectiles[id].x,projectiles[id].y)
		-- End Turn
		endturn()
	end
end

--------------------------------------------------------------------------------
-- Projectile: bullet
--------------------------------------------------------------------------------

thecode.sniperhelp.bullet.id=addprojectile("thecode.sniperhelp.bullet")					

function thecode.sniperhelp.bullet.draw(id)									
	
	drawimage(thecode.sniperhelp.gfx_bullet,projectiles[id].x,projectiles[id].y)
end

function thecode.sniperhelp.bullet.update(id)									

	
	projectiles[id].timer=projectiles[id].timer-1
	if projectiles[id].timer<=0 then
	
		-- Free projectile
		freeprojectile(id)
	end
	projectiles[id].timer=projectiles[id].timer-1
	if projectiles[id].timer<=0 then
	playsound(thecode.sniperhelp.sfx_attack)
	players=playertable()
		for i=1,#players,1 do
			if getplayerhealth(players[i])>0 then
				if getplayerx(players[i])+7>=weapon_x-5 and getplayerx(players[i])-7<=weapon_x+5 then
					playerdamage(players[i],80)
					blood(getplayerx(players[i]),getplayery(players[i]))
				end
				
			end
		end
		
				
					
		
		
		-- Free projectile
		freeprojectile(id)
	end
	-- Scroll to projectile
	scroll(projectiles[id].x,projectiles[id].y)
end